ce_bfd_global – Manages BFD global configuration on HUAWEI CloudEngine devices — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_bfd_global – Manages BFD global configuration on HUAWEI CloudEngine devices

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages BFD global configuration on HUAWEI CloudEngine devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bfd_enable - | Choices: enable disable | Enables the global Bidirectional Forwarding Detection (BFD) function.
damp_init_wait_time - |  | Specifies an initial flapping suppression time for a BFD session. The value is an integer ranging from 1 to 3600000, in milliseconds. The default value is 2000.
damp_max_wait_time - |  | Specifies a maximum flapping suppression time for a BFD session. The value is an integer ranging from 1 to 3600000, in milliseconds. The default value is 15000.
damp_second_wait_time - |  | Specifies a secondary flapping suppression time for a BFD session. The value is an integer ranging from 1 to 3600000, in milliseconds. The default value is 5000.
default_ip - |  | Specifies the default multicast IP address. The value ranges from 224.0.0.107 to 224.0.0.250.
delay_up_time - |  | Specifies the delay before a BFD session becomes Up. The value is an integer ranging from 1 to 600, in seconds. The default value is 0, indicating that a BFD session immediately becomes Up.
state - | Choices: present ← absent | Determines whether the config should be present or not on the device.
tos_exp_dynamic - |  | Indicates the priority of BFD control packets for dynamic BFD sessions. The value is an integer ranging from 0 to 7. The default priority is 7, which is the highest priority of BFD control packets.
tos_exp_static - |  | Indicates the priority of BFD control packets for static BFD sessions. The value is an integer ranging from 0 to 7. The default priority is 7, which is the highest priority of BFD control packets.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Recommended connection is `netconf`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: bfd global module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:
      - name: Enable the global BFD function
        ce_bfd_global:
          bfd_enable: enable
          provider: '{{ cli }}'

      - name: Set the default multicast IP address to 224.0.0.150
        ce_bfd_global:
          bfd_enable: enable
          default_ip: 224.0.0.150
          state: present
          provider: '{{ cli }}'

      - name: Set the priority of BFD control packets for dynamic and static BFD sessions
        ce_bfd_global:
          bfd_enable: enable
          tos_exp_dynamic: 5
          tos_exp_static: 6
          state: present
          provider: '{{ cli }}'

      - name: Disable the global BFD function
        ce_bfd_global:
          bfd_enable: disable
          provider: '{{ cli }}'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | verbose mode | k/v pairs of configuration after module execution Sample: {'global': {'bfdEnable': 'true', 'dampInitWaitTime': '2000', 'dampMaxWaitTime': '12000', 'dampSecondWaitTime': '5000', 'defaultIp': '224.0.0.184', 'delayUpTimer': None, 'tosExp': '7', 'tosExpStatic': '7'}}
existing dictionary | verbose mode | k/v pairs of existing configuration Sample: {'global': {'bfdEnable': 'false', 'dampInitWaitTime': '2000', 'dampMaxWaitTime': '12000', 'dampSecondWaitTime': '5000', 'defaultIp': '224.0.0.184', 'delayUpTimer': None, 'tosExp': '7', 'tosExpStatic': '7'}}
proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'bfd_enalbe': 'enable', 'damp_init_wait_time': None, 'damp_max_wait_time': None, 'damp_second_wait_time': None, 'default_ip': None, 'delayUpTimer': None, 'state': 'present', 'tos_exp_dynamic': None, 'tos_exp_static': None}
updates list | always | commands sent to the device Sample: ['bfd']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- QijunPan (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.